# ExecutionProviderOptionMap | ONNX Runtime JavaScript API
Documentation for ONNX Runtime JavaScript API

# Interface ExecutionProviderOptionMap

#### Hierarchy

- ExecutionProviderOptionMap

- Defined in inference-session.ts:162

#####
Index

### Properties

cpu
cuda
wasm
webgl
xnnpack

## Properties

### cpu

cpu: CpuExecutionProviderOption

- Defined in inference-session.ts:163

### cuda

cuda: CudaExecutionProviderOption

- Defined in inference-session.ts:164

### wasm

wasm: WebAssemblyExecutionProviderOption

- Defined in inference-session.ts:165

### webgl

webgl: WebGLExecutionProviderOption

- Defined in inference-session.ts:166

### xnnpack

xnnpack: XnnpackExecutionProviderOption

- Defined in inference-session.ts:167

Generated using TypeDoc